package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.BGYPSQMX;
import com.sa.ibiz.demo.demo.service.dto.BGYPSQMXSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[BGYPSQMX] 服务对象接口
 */
public interface BGYPSQMXService extends IService<BGYPSQMX>{

	boolean create(BGYPSQMX et);
		BGYPSQMX get(BGYPSQMX et);
	boolean remove(BGYPSQMX et);
	boolean update(BGYPSQMX et);
	boolean getDraft(BGYPSQMX et);
	boolean checkKey(BGYPSQMX et);
    List<BGYPSQMX> listDefault(BGYPSQMXSearchFilter filter) ;
	Page<BGYPSQMX> searchDefault(BGYPSQMXSearchFilter filter);
	/**	 实体[BGYPSQMX] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }